Update Patient Tag
curl --request PUT \
--url https://api.decodahealth.com/user/patient/tags/{tag_id} \
--header 'API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--header 'TENANT: <tenant>' \
--data '
{
"name": "<string>",
"emoji": "<string>",
"color": "<string>",
"isActive": true
}
'import requests
url = "https://api.decodahealth.com/user/patient/tags/{tag_id}"
payload = {
"name": "<string>",
"emoji": "<string>",
"color": "<string>",
"isActive": True
}
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', emoji: '<string>', color: '<string>', isActive: true})
};
fetch('https://api.decodahealth.com/user/patient/tags/{tag_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"isActive": true,
"createdDate": "2023-11-07T05:31:56Z",
"emoji": "<string>",
"color": "<string>",
"updatedDate": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Patients
Update Patient Tag
Update a patient tag.
PUT
/
user
/
patient
/
tags
/
{tag_id}
Update Patient Tag
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Body
application/json
Response
Successful Response
Unique identifier for the patient tag
Name of the patient tag
Whether the tag is active
Date and time when the tag was created
Emoji associated with the tag
Color code for the tag (hex format)
Date and time when the tag was last updated
⌘I
